nvidia drivers activated but not in use on natty 11.04

Bug #777493 reported by music4love13 on 2011-05-04
168
This bug affects 32 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-173 (Ubuntu)
High
Unassigned

Bug Description

the problem happens on my computer when trying to activate both version 173 and version current in additional drivers. I have a Dell XPS M1530 with an Nvidia 8600M GT, and Nvidia Xorg Driver Version 270.41.06 installed. my ubuntu distro is Ubuntu Natty 11.04 x86 for Desktop. please help!

Lohe (lohe) wrote :

Had the same problem. Installed it manually and all is fine again.

(ctrl+alt+1, /etc/init.d/gdm stop, sh nvidia (...).run, reboot
-> on my machine. some elements may differ from your setup, -> check wikis. driver will be installed correctly if done by hand)

Ari Salonen (ari-salonen) wrote :

Same problem with NVidia GeForce GTS250

Ville Salminen (unrealizedse) wrote :

Same problem with NVidia GeForce 9500GT 1gB. And I can say that it's pretty annoying.

Also affects Kubuntu. See http://i.servut.us/i/valokuva2z.png.

Ville Salminen (unrealizedse) wrote :

Also affects: nvidia-current

robzrad (robzrad) wrote :

Same problem with Nvidia GT 230 (and I also raised https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/781880 which probably should be cancelled).

robzrad (robzrad) wrote :

During installation (apt-get install nvidia-current), there are warnings:

update-alternatives: warning: skip creation of /usr/lib32/vdpau/libvdpau_nvidia.so.1 because associated file /usr/lib32/nvidia-current/vdpau/libvdpau_nvidia.so.1 (of link group gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libvdpau_nvidia.so because associated file /usr/lib32/nvidia-current/vdpau/libvdpau_nvidia.so (of link group gl_conf) doesn't exist.

Jamezelle (jamezelle1) wrote :

Same issue with nvidia gtx 460m

robzrad (robzrad) wrote :

Marcel's advice (https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/777493/comments/1) worked for me, but I had to remove (purge) all drivers from Ubuntu repos before, and manually install unity (it wasn't installed during upgrade, I think it should). I reinstalled compiz-related packages too.

diaco (dyaco8464) wrote :

same problem with Geforce go 7400. No way to fix it.

Linuxexperte (andrea-koeth) wrote :

same thing for me in LinuxMint 11 Katya.

But I searched my system and Launchpad and found in my Synaptic, that the package nvidia-current-modaliases is a dependency of nvidia-current!! But: nvidia-current and nvidia-current-modaliases have two completely different version-numbers. In my Synaptic, nvidia-current-modaliases has version-number 260.19.26-0-ubuntu1~xup. In contrary to this, nvidia-current has this version number: 270.41.19-0ubuntu1~xup~natty.

So I suggest, the package nvidia-current-modaliases should be put to the same version-number as nvidia-current as it is a direct dependency of the package nvidia-current!!! Please fix this up!!!

Same problem with NVidia GeForce 9500GT

Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → Tanmoy Kumar Thakur (tanmoykumarthakur)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: Tanmoy Kumar Thakur (tanmoykumarthakur) → nobody
CDSRV TechSupport (cdsrv) wrote :

totally broken.

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Confirmed
CDSRV TechSupport (cdsrv) wrote :

after thoroughly researching this for a couple of weeks, and trying every suggestion possible ::

- checking /var/log and updating /etc/default/grub
- using current ppa (binary and source)
- using older nvidia drivers
- removing all display related drivers
- downloading and installing from nvidia
- clean install then one strategy or another
- purge drivers and re-install one or another strategy

after entirely too much pushing and pulling -- the only way to cleanly boot into graphics mode is to use "vesa" driver in the xorg.conf (and uncomment 'vesafb' in /etc/modprobe.d/*.conf ) {good luck..}

also try adding "nvidia" to /etc/modules .. without the entry in /etc/modules, 'modprobe' shows it missing, even though it is in fact there, and dkms shows the module current, and there appear to be no errors in kern.log or dmesg - at various points X would complain that there was no /dev/fb0 or just that there was an I/O error {no telling what actually got this working somewhat}

any way to slice it, X will not load the driver..

it would be helpful if the installer could report on the device status or at least have an option to check all of the critical areas to see if things have loaded correctly and then produce a report showing all of the relevant details..

of course, downgrading/clean-installing to 10.04 did not work either - none of the graphics modes worked on this particular machine.. (a 64bit AMD with G92 / 9800GT )

Linuxexperte (andrea-koeth) wrote :

hi people,

for having a grphic-mode, I have switched back to the experimental noveau-driver and this works for me. This driver is correctly recognized and in use. I see it as the best solution just for the moment. But for solving this completely, the package, I mentioned above has to be reput into the distro, because it is a direct dependency of nvidia-current!!!

Greetings
Linuxexperte

tags: added: natty regression-release
Linuxexperte (andrea-koeth) wrote :

hi together,

I would be pleased, if this bug could be fixed soon, because I discover, that my Notebook (modell is CR500-series from MSI) often gets hot and I have to switch off for not risking my graphicscard. So this opensource-driver is no solution for the future. Plese reput the package nvidia-current-modaliases into the distro and upgrade it to the version of nvidia-current. This püroprietory driver is better for our graphiccards!!

And this package nvidia-current-modaliases is a direct dependency of nvidia-current.

This is the only way, to get this nvidia-driver back to working. I hope, that the developers look into this and understand this...Please understand, that this is the only help for not get hundreds of graphiccards melting because of overheating....

Greetings
Linuxexperte

Same here for fresh install of UbuntuStudio Natty 11.04. Video card is GeForce 6500. No success with noveau, nvidia-current or nvidia-173.

William Chambers (bioselement) wrote :

So is it true that the folks who broke this are not going to fix it? I can't believe that this truly major bug will be ignored.

William Chambers (bioselement) wrote :

So is there still no fix for this?

Linuxexperte (andrea-koeth) wrote :

@ William Chambers,

no it doesn't seem so. And what I discovered by testing LMDE again yesterday: LMDE suffers the same bug und also other distributions....This guys at nvidia really need to be pushed into this work!! they broke it, so they've got to fix this!!! Even the new driver on their page is only for 32bit-versions and not for 64bit-versions!! And this is disgusting as 32bit-versions are not working on my machine!!!

So I would appreciate, if another developer would take over and fix this. This is a big severe bug, as hundreds of user claim that this driver is no longer working and my grphiccard seems to be at a near meltdown in the meantime.

So please guys: could you take over and fix this?? I would be really thankful.

Greetings
Linuxexperte

William Chambers (bioselement) wrote :

So this is still being totally ignored? I'm amazed and very disappointed by the Ubuntu community for letting this happen and the person responsible should be utterly ashamed. Bugs happen, but it's shocking for this bug to still be ignored by anyone who can fix it.

William Chambers (bioselement) wrote :

After yet another install of nvidia-current, it seems to be working! I can only assume the latest round of updates were the fix.

Anyone have more info on what was up with this though? It's still pretty troubling.

Linuxexperte (andrea-koeth) wrote :

I have this ppa-repo ubuntu-x-swat installed and got me all system-updates. But nvidia-current still isn't able to be installed because of unmet dependencies referring to the modaliases. These guys at nvidia have to fix this up!! This bug is now continueing since weeks and there is no effort in this!!!!

Greetings
Linuxexperte.

The ubuntu-x-swat repo will cause a conflict currently I believe.

William "Bios Element" Chambers
http://www.bioselement.com/

On Sun, Jul 31, 2011 at 9:17 AM, Linuxexperte <email address hidden> wrote:
> I have this ppa-repo ubuntu-x-swat installed and got me all system-
> updates. But nvidia-current still isn't able to be installed because of
> unmet dependencies referring to the modaliases. These guys at nvidia
> have to fix this up!! This bug is now continueing since weeks and there
> is no effort in this!!!!
>
> Greetings
> Linuxexperte.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/777493
>
> Title:
>  nvidia drivers activated but not in use on natty 11.04
>
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  the problem happens on my computer when trying to activate both
>  version 173 and version current in additional drivers. I have a Dell
>  XPS M1530 with an Nvidia 8600M GT, and Nvidia Xorg Driver Version
>  270.41.06 installed. my ubuntu distro is Ubuntu Natty 11.04 x86 for
>  Desktop. please help!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/777493/+subscriptions
>

duonnguyen (duong-siegen) wrote :

Same problem with "this driver is activated but not used" with NVIDIA® GeForce® GT 540M (in XPS 15)... Please help !

SquareRobin (squarerobin) wrote :

same problem here with a nvidia gts450, nevertheless when I run from this from terminal:
cat /var/log/Xorg.0.log | grep nvidia

I get:

[ 20.014] (==) Matched nvidia as autoconfigured driver 0
[ 20.014] (II) LoadModule: "nvidia"
[ 20.014] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 20.014] (II) Module nvidia: vendor="NVIDIA Corporation"
[ 20.019] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 20.865] (==) NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
[ 20.865] (II) NVIDIA(0): "nvidia-auto-select"
[ 20.892] (II) NVIDIA(0): Setting mode "nvidia-auto-select"

Maybe it is only a jockey issue and the card is working fine... Heeeelp!

Linuxexperte (andrea-koeth) wrote :

hi people,

yesterday I found the new Nvidia-driver working with this new Kernel 2.6.38-11.

So I installed it, but jockey still gives this wrong output with "driver activated but not in use.

Then today I did the system-update with the package ubuntu-x-swat and now my Terminal reports this:

Error: API mismatch: the NVIDIA kernel module has version 270.41.06,
but this NVIDIA driver component has version 280.13. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.

The complete output is this:
mietzi@Mintlatop ~$ /usr/lib/nux/unity_support_test -p
Error: API mismatch: the NVIDIA kernel module has version 270.41.06,
but this NVIDIA driver component has version 280.13. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8200M G/PCI/SSE2
OpenGL version string: 2.1.2 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes
mietzi@Mintlaptop ~ $

so my questions would be: how to fix this and how to get this jockey-issue fixed??

Greetings
Linuxexperte

Martin Ueding (martin-ueding) wrote :

Also happend to me at Natty->Oneiric upgrade.

$ sudo lshw -C display
  *-display
       description: VGA compatible controller
       product: G96 [GeForce 9500 GT]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nouveau latency=0
       resources: irq:16 memory:fa000000-faffffff memory:c0000000-dfffffff memory:f8000000-f9ffffff ioport:df00(size=128) memory:fbf80000-fbffffff

This tells me that something is really broken, and I cannot use compositing in kwin either.

Linuxexperte (andrea-koeth) wrote :

hi Martin Ueding,

froum your Output, I can see, that you do not have the proprietary driver
installed, but the opensource-driver nouveau.
Look at this line in your Output:

configuration: driver=nouveau latency=0

For getting things to work correctly, you need to install the proprietary
driver.

For this, go to the controlcenter and there go to additional drivers. Then
activate the proprietary driver.
This uninstalls the nouveau-driver. And in my eyes, the nouveau-driver is
really dangerous, because with this,
the graphuccard turns way to hot.

After having installed the proprietary driver, you need to reboot your
machine to get the driver working. Attention:
the Output of jockey is still wrong. But in my further postings, I gave
hints, how to check, that the driver is
working and to show you, that this is not a bug in nvidia anymore but in
jockey-gtk.
So look at my previous postings for checking, that your driver is working
correctly.

Greetings
Linuxexperte
Am 27.10.2011, 14:31 Uhr, schrieb Martin Ueding
<email address hidden>:

> Also happend to me at Natty->Oneiric upgrade.
>
>
> $ sudo lshw -C display
> *-display
> description: VGA compatible controller
> product: G96 [GeForce 9500 GT]
> vendor: nVidia Corporation
> physical id: 0
> bus info: pci@0000:01:00.0
> version: a1
> width: 64 bits
> clock: 33MHz
> capabilities: pm msi pciexpress vga_controller bus_master
> cap_list rom
> configuration: driver=nouveau latency=0
> resources: irq:16 memory:fa000000-faffffff
> memory:c0000000-dfffffff memory:f8000000-f9ffffff ioport:df00(size=128)
> memory:fbf80000-fbffffff
>
>
> This tells me that something is really broken, and I cannot use
> compositing in kwin either.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Bryce Harrington (bryce) on 2011-12-02
Changed in nvidia-graphics-drivers-173 (Ubuntu):
importance: Undecided → High
Abhayadev S (abhayadevs) wrote :

in 12.04 and 12.10 (ubuntu-studio) i started with nouveau driver and then used jockey to enbale the nvidia driver. but after a couple of reboot and removal of the nouveau still the "nvidia-sertings" is telling me that x-org is not using this driver please enable it. also jockey tells me that the drier is enabled but not active. mine is GT 9 series one and is there any workaround to enable this. i very badly needs the hdmi/dvi outputs of the card for multi-screen production works.

hi Bhaysdev S,better you upgrade from Natty to the current Version. There it seems to work. In LinuxMint, it works.GreetingsLinuxhelferAbhayadev S <email address hidden> schrieb (14.02.2013 08:55):in 12.04 and 12.10 (ubuntu-studio) i started with nouveau driver and
then used jockey to enbale the nvidia driver. but after a couple of
reboot and removal of the nouveau still the "nvidia-sertings" is telling
me that x-org is not using this driver please enable it. also jockey
tells me that the drier is enabled but not active. mine is GT 9 series
one and is there any workaround to enable this. i very badly needs the
hdmi/dvi outputs of the card for multi-screen production works.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/777493

Title:
  nvidia drivers activated but not in use on natty 11.04

Status in “nvidia-graphics-drivers-173” package in Ubuntu:
  Confirmed

Bug description:
  the problem happens on my computer when trying to activate both
  version 173 and version current in additional drivers. I have a Dell
  XPS M1530 with an Nvidia 8600M GT, and Nvidia Xorg Driver Version
  270.41.06 installed. my ubuntu distro is Ubuntu Natty 11.04 x86 for
  Desktop. please help!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/+bug/777493/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers